<?php

/**
 * @copyright 2024 Double Bastion LLC <www.doublebastion.com>
 *
 * @author Double Bastion LLC
 *
 * @license GNU AGPL version 3 or any later version
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU AFFERO GENERAL PUBLIC LICENSE
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU AFFERO GENERAL PUBLIC LICENSE for more details.
 *
 * You should have received a copy of the GNU Affero General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

session_start();

define('ACCESSCONST', TRUE);


if (($_SESSION['loggedtorspanel'] == true) && ($_SESSION['userrole'] == 'superadmin')) {

     require('db-connect.php');

     // Delete button data from the database
     if (isset($_POST['databaseId'])) {

         $databaseId = $_POST['databaseId'];

         try {
             $query2 = $mysqli->prepare("DELETE FROM buttons WHERE id=?");
             $query2->bind_param("i", $databaseId);
             $query2->execute();
             $query2->close();

             $messageondelete = "The button has been removed successfully !";

         } catch(mysqli_sql_exception $e) {
                $messageondelete = "An error occurred when removing the button !";
           }

     }

   $response = array(
        'messageondelete' => $messageondelete
   );

   echo json_encode($response);


} elseif (empty($_SESSION['loggedtorspanel'])) {

      header("Location: panel-login.php");

} elseif (($_SESSION['loggedtorspanel'] == true) && ($_SESSION['userrole'] != 'superadmin'))  {

      header("Location: index.php");
}

?>
